"""cancel_build

Revision ID: 9b5e9df24cdf
Revises: 8e74e15f2638
Create Date: 2024-07-30 10:56:57.302385

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9b5e9df24cdf'
down_revision = '8e74e15f2638'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(f"ALTER TYPE action_status ADD VALUE IF NOT EXISTS 'Cancelling'")
    op.execute(f"ALTER TYPE action_status ADD VALUE IF NOT EXISTS 'Cancelled'")
    op.execute(f"ALTER TYPE action_status ADD VALUE IF NOT EXISTS 'Starting'")

    op.add_column('repository_action', sa.Column('submit_date', sa.DateTime(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('repository_action', 'submit_date')
    # ### end Alembic commands ###
